Subject: Ticket Assigned - Article Feedback - When will I receive my order?
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 07 Dec 2021 18:08:46 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will I receive my order? Feedback for:  When will I receive my order? I placed an order 2nd December, where I received a message that the items will be delivered to me on 4th of December, but, I have not received any yet my splash application says that it has already been delivered and when I call the customer care , they raised a complain and get back to me within 24 hour but, I have not heard back from them,  I called them back again on 5th and 6th dec same answer, I called them on 7th they said the they will be tracking down the order where it has been delivered and then get back to me ? When will that be ?? Should I wait till they track down and collect the order and they will deliver to me the same clothes used by someone??  And yet my problem had not been resolved and how did I receive an email stating that my problem is resolved ?? I don’t understand what kind of service is this, So unsatisfied of your service,  very worst service https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3559666